*-------------------------------------------------------*
*		Correlation with the speed of transition		*
*-------------------------------------------------------*


use "..\data\data_user", replace
drop if indus==1

gen emp 	= unemp_a ==0
gen unemp 	= unemp_a ==1
gen man = indus==2


foreach var in pub pri emp f_school_a anti{
replace `var'  = 0 if indus==5 | indus==1
}

replace t_retire2_a =0 if l.indus==1 | l.indus==5

collapse (sum) ab_p ab0 ch0 none0 abch0  anti0  t_retire2_a f_school_a  emp ///
				pub unemp (first) unemp_wb [iw=weight_1], by(country year) 

foreach var in   ab_p ab0 ch0 none0 abch0  anti0  t_retire2_a f_school_a pub {
gen s_`var'	=	`var'/emp
}
 

xtset country year

** Measures of speed of transition

gen speed1 = pub /l.pub-1

capture drop pub_base
egen pub_base = max(pub*(year==1989)),  by(country )
gen speed2 = pub /pub_base-1


gen speed3 = s_pub -l.s_pub 

capture drop pub3_base
egen s_pub_base = max(s_pub*(year==1989)),  by(country )
gen speed4 = s_pub - s_pub_base


** Regressions -- TABLE C.4
 
foreach var in  t_retire2_a f_school_a ab0 ch0 none0 abch0  anti0{
forvalues s = 1/4{

reg speed`s' s_`var' i.country i.year if year!=1989, robust
est store `var'_`s'
}
}
 

*outreg2 [t_retire2_a* f_school_a* ab0* ch0* none0* abch0*  anti0*] using more_corrs, replace excel dec(3) ///
*		keep(t_retire2_a3 f_school_a3 ab03 ch03 none03 abch03  anti03)

 