 
*-----------------------------------------------*
*		Matching and comparing databases		*
*-----------------------------------------------*
 


/*
// Extracting data from the EU LFS

matrix extract = J(20,7,-99)
matrix colnames extract	= year	 ind serv pri serv_l ind_l pri_l

local i =0
local rownames	""

local countries "Czech_Republic Slovenia Estonia Hungary Romania Slovakia Latvia Lithuania Bulgaria  Poland"
foreach base in `countries'{

foreach year in 1997 2002{
if ("`base'" == "Slovakia" | "`base'" == "Latvia" |  "`base'" == "Lithuania" ) ///
	& `year ' == 1997 local year =1998
	
if ("`base'" == "Poland"  | "`base'" == "Bulgaria" ) & `year' ==1997 local year =2000
  // correct for poland, app no info on industry in the first years.!

  
use "$path_lfs\EU_LFS_`year'_`base'"  , clear


di "`base' - `year'"
tab na111d
local ++i
quiet count if na111d >="C" & na111d <"F" 			// industrial sector
local aux1		=	r(N)
quiet count if  na111d >"F"	&  na111d <="K"			// service sector
local aux2		=	r(N)
quiet count if na111d!= "9" & na111d!= "" 
local aux3		=	r(N)
 
matrix extract[`i', 1] = `year'
matrix extract[`i', 2] = `aux1'/`aux3'			// Industry
matrix extract[`i', 3] = `aux2'/`aux3'			// services
local rownames	"`rownames' `base'  "

}
}
matrix rownames extract =	`rownames'

*/
 
 

use ..\data\data_user

local countries1	"CZE SVN EST HUN ROM"
local countries2	"SVK LVA LTU"
local countries4	"BGR POL"

replace indv= 0 if indus !=2 & indus!=. & indv!=.
local i =0
foreach j in 1 2 4{
local ystart = 1996+`j'

foreach c in `countries`j''{

foreach year in `ystart' 2002{
local ++i
foreach var in servv indv pubv {

quiet mean `var' if year == `year' & c_code=="`c'" & unemp_a==0 [aweight=weight_1]
matrix b = r(table)
scalar freq`var'`i' = b[1,1]

quiet mean `var' if year == `year' & c_code=="`c'" & unemp_a==0 
matrix b = r(table)
scalar bfreq`var'`i' = b[1,1]

}
}
}
}


forvalues k = 1/20{

matrix extract[`k',5] = freqservv`k'
matrix extract[`k',6] =	freqindv`k'
matrix extract[`k',7] = 1- freqpubv`k'
}


matrix two_weights = J(20,6,-99)

forvalues k = 1/20{

matrix two_weights[`k',1] = freqservv`k'
matrix two_weights[`k',2] = bfreqservv`k'

matrix two_weights[`k',3] =	freqindv`k'
matrix two_weights[`k',4] = bfreqindv`k'

matrix two_weights[`k',5] = 1- freqpubv`k'
matrix two_weights[`k',6] = 1- bfreqpubv`k'

}

matrix rownames two_weights=`rownames'
matrix colnames two_weights = serv_dem serv_fed ind_dem ind_fed pri_dem pri_fed


putexcel set "..\logs\matrix1" , modify

putexcel b2 =matrix(extract) j2 = matrix(two_weights) , names nformat(number_d2)
exit

//
