*=======================*
*   Country effects     *
*=======================*

/* It requires the execution of two do-files before running:
1) surv_ind
2) surv_between

These files leave two matrices with estimated predictions at the country level.
These predictions are stored in matrices l1 and l2, respectively.
*/

foreach i in 1 2{
matrix cis`i'=J(27,2,99)

	forvalues r = 1/27{
		matrix cis`i'[`r',1] = l`i'[`r',1]-1.96*(l`i'[`r',2])^(.5)
		matrix cis`i'[`r',2] = l`i'[`r',1]+1.96*(l`i'[`r',2])^(.5)
	}
}

mat l1 = l1, cis1
mat l2 = l2, cis2

* Figure 6
coefplot ( matrix(l1[,1])  , ci((l1[,3] l1[,4]) )) ( matrix(l2[,1]) , ci((l2[,3] l2[,4])) msize(medsmall)) , ///
		scheme(s1mono) legend(region(lcolor(white)) order(4 "Constant covariates" 2 "Time varying covariates")) ///
		xsize(3)
		
graph export "..\tex\graphs\count_mfx_2.eps", as(eps) replace		
		